# QAbstractState Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QAbstractState prototype object

### Prototype Object Properties

The QAbstractState prototype object inherits properties from the QObject prototype object and also has the following properties.

- QStateMachine machine()
- QState parentState()

### Instance Properties

QAbstractState objects have no special properties beyond those inherited from the QAbstractState prototype object.